GET /outbound_voice_profiles

telnyx.com

Summary: Get all outbound voice profiles
Operation ID: listOutboundVoiceProfiles
Auth: unknown
Description

Get all outbound voice profiles belonging to the user that match the given filters.

Parameters (4)

filter[name][contains] (string, query, optional)

Optional filter on outbound voice profile name.

page[number] (integer, query, optional, default: 1)

The page number to load.

Constraints: {'minimum': 1}

page[size] (integer, query, optional, default: 20)

The size of the page.

Constraints: {'minimum': 1, 'maximum': 250}

sort (string, query, optional, default: -created_at)

Specifies the sort order for results. By default sorting direction is ascending. To have the results sorted in descending order add the <code>-</code> prefix.<br/><br/> That is: <ul> <li> <code>name</code>: sorts the result by the <code>name</code> field in ascending order. </li> <li> <code>-name</code>: sorts the result by the <code>name</code> field in descending order. </li> </ul> <br/>

Constraints: {'enum': ['enabled', '-enabled', 'created_at', '-created_at', 'name', '-name', 'service_plan', '-service_plan', 'traffic_type', '-traffic_type', 'usage_payment_method', '-usage_payment_method']}

No probe data for this endpoint yet.